SRU: Add support for keeping the dGPU on in power saving mode

Bug #1728547 reported by Alberto Milone on 2017-10-30
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
OEM Priority Project
Medium
Alex Tu
ubuntu-drivers-common (Ubuntu)
High
Alberto Milone
Xenial
High
Alberto Milone
Zesty
High
Alberto Milone
Artful
High
Alberto Milone

Bug Description

SRU Request:

[Impact]
Some systems don't play well when the dGPU is disabled. It should still be possible to use the Intel iGPU without disabling the dGPU.

[Test Case]
1) Enable the -proposed repository, and install the new "ubuntu-drivers-common"

2) Make sure the nvidia packages are installed, and enable power saving mode:
sudo prime-select intel

3) Restart your computer and attach your /var/log/gpu-manager.log. see if the system boots correctly. If unsure, please attach your /var/log/gpu-manager.log and /var/log/Xorg.0.log

4) Install the mesa-utils package:
sudo apt install mesa-utils

5) Check the output of the following command (which should mention Intel):
glxinfo | grep OpenGL

[Regression Potential]
Low, as the feature is disabled by default. This is only for hardware specific workarounds.

Changed in ubuntu-drivers-common (Ubuntu Xenial):
status: New → In Progress
Changed in ubuntu-drivers-common (Ubuntu Zesty):
status: New → In Progress
Changed in ubuntu-drivers-common (Ubuntu Xenial):
importance: Undecided → High
Changed in ubuntu-drivers-common (Ubuntu Zesty):
importance: Undecided → High
Changed in ubuntu-drivers-common (Ubuntu Xenial):
assignee: nobody → Alberto Milone (albertomilone)
Changed in ubuntu-drivers-common (Ubuntu Zesty):
assignee: nobody → Alberto Milone (albertomilone)
tags: added: originate-from-1720950 somerville
description: updated
summary: - Add support for keeping the dGPU on in power saving mode
+ SRU: Add support for keeping the dGPU on in power saving mode
Alberto Milone (albertomilone) wrote :

Please approve the new ubuntu-drivers-common in xenial-proposed and in zesty-proposed.

Alberto Milone (albertomilone) wrote :

I forgot to mention the package in artful-proposed.

Changed in ubuntu-drivers-common (Ubuntu Artful):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Alberto Milone (albertomilone)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-drivers-common - 1:0.4.24

---------------
ubuntu-drivers-common (1:0.4.24) bionic; urgency=medium

  * gpu-manager.{c|py}:
    - Add support for forcing the dGPU on on hybrid systems.
      Creating an empty file named "force-dgpu-on"
      in the /usr/share/gpu-manager.d directory will force the dGPU
      on in power saving mode (LP: #1728547).

 -- Alberto Milone <email address hidden> Mon, 30 Oct 2017 10:25:02 +0100

Changed in ubuntu-drivers-common (Ubuntu):
status: In Progress → Fix Released

Hello Alberto, or anyone else affected,

Accepted ubuntu-drivers-common into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-drivers-common/1:0.4.23.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-drivers-common (Ubuntu Artful):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-artful
Alex Tu (alextu) wrote :

verified 1:0.4.23.1 with xenial on MST-EVT-C2 , it looks good.

Alex Tu (alextu) wrote :

verified 1:0.4.23.1 with artful on FIR5K-PILOT-C1 , it looks good.

tags: added: verification-done-artful verification-done-xenial
removed: verification-needed-artful
Alex Tu (alextu) wrote :

@Alberto
it's verified done by #5 #6.
how's the status of further SRU process?

Alberto Milone (albertomilone) wrote :

I have re-uploaded the sources for xenial and zesty, this time mentioning LP: #1731873, so that the upload is not rejected again.

Brian Murray (brian-murray) wrote :

Hello Alberto, or anyone else affected,

Accepted ubuntu-drivers-common into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-drivers-common/1:0.4.22.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-drivers-common (Ubuntu Zesty):
status: In Progress → Fix Committed
tags: added: verification-needed-zesty
Changed in ubuntu-drivers-common (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed-xenial
removed: verification-done-xenial
Brian Murray (brian-murray) wrote :

Hello Alberto, or anyone else affected,

Accepted ubuntu-drivers-common into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-drivers-common/1:0.4.17.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Alex Tu (alextu) wrote :

verified on MST-EVT-C2, it works well.

tags: added: verification-done-xenial
removed: verification-needed-xenial
Alex Tu (alextu) wrote :

verified on FIR5K-PILOT-C1 for zesty , it works as well.

tags: added: verification-done-zesty
removed: verification-needed-zesty
Timo Aaltonen (tjaalton) on 2017-12-08
tags: removed: verification-needed
Yuan-Chen Cheng (ycheng-twn) wrote :

what's the reason we can't land this one on xenial ?

Anthony Wong (anthonywong) wrote :

Bug 1731873 is also awaiting verification, that is another bug for ubuntu-drivers-common SRU.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-drivers-common - 1:0.4.23.1

---------------
ubuntu-drivers-common (1:0.4.23.1) artful-proposed; urgency=medium

  * gpu-manager.{c|py}:
    - Add support for forcing the dGPU on on hybrid systems.
      Creating an empty file named "force-dgpu-on"
      in the /usr/share/gpu-manager.d directory will force the dGPU
      on in power saving mode (LP: #1728547).

 -- Alberto Milone <email address hidden> Mon, 30 Oct 2017 10:25:02 +0100

Changed in ubuntu-drivers-common (Ubuntu Artful):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-drivers-common has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Hi, we also have verification done for xenial. Can we also land there ?

Changed in oem-priority:
importance: Undecided → Critical
status: New → Triaged
Łukasz Zemczak (sil2100) wrote :

It's blocked on LP: #1731873 not verified. Both SRU bugs need to be verified for the update to get released (as upload has fixes for both). Please perform the tests as per what's in the Test Case in the aforementioned bug.

Changed in oem-priority:
importance: Critical → High
importance: High → Medium

Hello Alberto, or anyone else affected,

Accepted ubuntu-drivers-common into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-drivers-common/1:0.4.17.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed verification-needed-xenial
removed: verification-done-xenial
Alex Tu (alextu) wrote :

verified on BRM5-DVT1-C2H (201710-25875)
Image: X35
BIOS: 0.3.2

Alex Tu (alextu) wrote :
tags: added: verification-done-xenial
removed: verification-needed-xenial
Łukasz Zemczak (sil2100) wrote :

The current ubuntu-drivers-common package in xenial-proposed fails to build on s390x:

https://launchpad.net/ubuntu/+source/ubuntu-drivers-common/1:0.4.17.5/+build/14214850

I have re-run the build once already and it's still failing on unit-tests. Could someone take a look and try to resolve that? This SRU can't get published if it's not built for all supported architectures.

I'm pretty sure we didn't use to build on s390x. I have added a hack to
work around that test, which should be fine, since we don't really use
ubuntu-drivers-common on s390x.

On 18 January 2018 at 15:51, Łukasz Zemczak <email address hidden>
wrote:

> The current ubuntu-drivers-common package in xenial-proposed fails to
> build on s390x:
>
> https://launchpad.net/ubuntu/+source/ubuntu-drivers-
> common/1:0.4.17.5/+build/14214850
>
> I have re-run the build once already and it's still failing on unit-
> tests. Could someone take a look and try to resolve that? This SRU can't
> get published if it's not built for all supported architectures.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1728547
>
> Title:
> SRU: Add support for keeping the dGPU on in power saving mode
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/hwe-next/+bug/1728547/+subscriptions
>
> Launchpad-Notification-Type: bug
> Launchpad-Bug: product=hwe-next; status=New; importance=Undecided;
> assignee=None;
> Launchpad-Bug: product=oem-priority; status=Triaged; importance=Medium;
> assignee=None;
> Launchpad-Bug: distribution=ubuntu; sourcepackage=ubuntu-drivers-common;
> component=main; status=Fix Released; importance=High; assignee=
> <email address hidden>;
> Launchpad-Bug: distribution=ubuntu; distroseries=xenial;
> sourcepackage=ubuntu-drivers-common; component=main; status=Fix
> Committed; importance=High; <email address hidden>;
> Launchpad-Bug: distribution=ubuntu; distroseries=zesty;
> sourcepackage=ubuntu-drivers-common; component=main; status=Fix
> Committed; importance=High; <email address hidden>;
> Launchpad-Bug: distribution=ubuntu; distroseries=artful;
> sourcepackage=ubuntu-drivers-common; component=main; status=Fix Released;
> importance=High; <email address hidden>;
> Launchpad-Bug-Tags: originate-from-1720950 somerville
> verification-done-artful verification-done-xenial verification-done-zesty
> verification-needed
> Launchpad-Bug-Information-Type: Public
> Launchpad-Bug-Private: no
> Launchpad-Bug-Security-Vulnerability: no
> Launchpad-Bug-Commenters: albertomilone alextu anthonywong brian-murray
> janitor sil2100 ycheng-twn
> Launchpad-Bug-Reporter: Alberto Milone (albertomilone)
> Launchpad-Bug-Modifier: Łukasz Zemczak (sil2100)
> Launchpad-Message-Rationale: Subscriber
> Launchpad-Message-For: albertomilone
>

--
Alberto Milone

Hello Alberto, or anyone else affected,

Accepted ubuntu-drivers-common into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-drivers-common/1:0.4.17.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed-xenial
removed: verification-done-xenial
Changed in oem-priority:
assignee: nobody → Alex Tu (alextu)
Timo Aaltonen (tjaalton) wrote :

a change referencing this bug is in the latest version for bionic, but it failed to build on some archs and is stuck in -proposed:

https://launchpad.net/ubuntu/+source/ubuntu-drivers-common/1:0.4.25

Changed in ubuntu-drivers-common (Ubuntu):
status: Fix Released → In Progress
Alex Tu (alextu) wrote :

@sil2100,

refer to #26, could someone confirm this version 1:0.4.17.6 could be released and not be blocked by other issues like build failed or another bug which necessarily to be verified, while this launchpad ticket be verified done?

I'll verify this ticket while this status could be confirmed.

Alberto Milone (albertomilone) wrote :

I have pushed a fix for the test suite in Bionic.

The release in xenial-proposed built without problems, and my last upload only disabled one test on s390x:
https://github.com/tseliot/ubuntu-drivers-common/commit/de5e65cb9c20215fee0f3c13383690469864ff97

Nothing is really blocking this SRU, as the only issue was a FTBFS (caused by a test on s390x), which is gone now. The actual code is exactly the same, and that was verified.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-drivers-common - 1:0.4.26

---------------
ubuntu-drivers-common (1:0.4.26) bionic; urgency=medium

  * tests/gpu-manager.py:
    - It is ok that quirks are still be detected, even though bbswitch
      won't use them, as it's not being loaded. Fixes FTFS.
    - Skip test_system_modaliases_system on s390x.

 -- Alberto Milone <email address hidden> Thu, 01 Feb 2018 16:22:00 +0100

Changed in ubuntu-drivers-common (Ubuntu):
status: In Progress → Fix Released
Alex Tu (alextu) wrote :

verified on BRM4-DVT1-C2H (201710-25874)

ubuntu-drivers-common: 1:0.4.17.6

Alex Tu (alextu) wrote :
tags: added: verification-done-xenial
removed: verification-needed-xenial
Changed in oem-priority:
status: Triaged → Fix Committed
Chris Coulson (chrisccoulson) wrote :

This has been marked verification-done for xenial for a while now - is there anything preventing it from being published to xenial-updates? I'm aware of bug 1731873 as well, but this change was reverted in xenial-proposed and is not in the current version (1:0.4.17.6)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-drivers-common - 1:0.4.17.6

---------------
ubuntu-drivers-common (1:0.4.17.6) xenial-proposed; urgency=medium

  * tests/ubuntu_drivers.py:
    - Skip test_system_modaliases_system on s390x.
      Fixes FTBFS (LP: #1728547).

ubuntu-drivers-common (1:0.4.17.5) xenial-proposed; urgency=medium

  [ Alberto Milone ]
  * gpu-manager.{c|py}:
    - Drop the amdgpu-pro code introduced in the previous upload,
      as it will be dealt with in a different upload.

  [ Alex Tu ]
  * gpu-manager.c:
    - Skip bbswitch, and make sure to unload the nvidia driver when
      the force-dgpu-on option is enabled (LP: #1728547).

 -- Alberto Milone <email address hidden> Mon, 22 Jan 2018 12:48:54 +0100

Changed in ubuntu-drivers-common (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers